<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data></data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="100dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_dialog_close"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="30dp"
                        android:src="@mipmap/cancel"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:layout_width="10dp"
                        android:layout_height="40dp"
                        android:layout_marginTop="30dp"
                        android:background="#00A1FF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_margin="30dp"
                        android:text="消息列表"
                        android:textColor="#38ADFF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="600dp"
                        android:layout_marginEnd="20dp"
                        android:layout_marginTop="90dp"
                        android:layout_marginBottom="30dp"
                        android:gravity="center"
                        android:orientation="horizontal"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintHorizontal_bias="0.491"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <LinearLayout
                            android:layout_width="300dp"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:orientation="vertical">

                            <Button
                                android:id="@+id/btn_query"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:background="@drawable/bg_work_blue"
                                android:gravity="center"
                                android:layout_marginHorizontal="20dp"
                                android:paddingVertical="10dp"
                                android:text="刷新消息"
                                android:textColor="@color/white"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <androidx.recyclerview.widget.RecyclerView
                                android:layout_marginHorizontal="10dp"
                                android:id="@+id/rv_msg"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent" />

                        </LinearLayout>

                        <androidx.cardview.widget.CardView
                            android:layout_width="800dp"
                            android:layout_height="match_parent"
                            android:layout_margin="10dp"
                            app:cardCornerRadius="10dp"
                            app:cardElevation="5dp">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginHorizontal="20dp"
                                android:layout_marginTop="20dp"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:id="@+id/tv_msg_title"
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:text="标题内容" />

                                    <TextView
                                        android:id="@+id/tv_msg_time"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="时间" />

                                </LinearLayout>

                                <View
                                    android:layout_width="match_parent"
                                    android:layout_height="2dp"
                                    android:layout_marginVertical="10dp"
                                    android:background="#DCE3E3" />

                                <TextView
                                    android:id="@+id/tv_message"
                                    android:layout_width="match_parent"
                                    android:layout_height="0dp"
                                    android:layout_weight="1"
                                    android:gravity="start"
                                    android:text="@string/content" />

                            </LinearLayout>

                        </androidx.cardview.widget.CardView>
                    </LinearLayout>
                </androidx.constraintlayout.widget.ConstraintLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>